Page MenuHomePhabricator

[[MediaWiki:Bs-usermanager-user-deleted/en]] i18n issue
Closed, ResolvedPublic

Description

Event Timeline

Macofe created this task.Dec 27 2016, 3:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 27 2016, 3:23 AM
MtDu added a subscriber: MtDu.Dec 27 2016, 7:00 PM

Is this necessary? The message says $1 users.. How can we add gender if there are multiple users?

Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedDec 28 2016, 3:09 AM

Is this necessary? The message says $1 users.. How can we add gender if there are multiple users?

i.e. for Bs-usermanager-user-deleted/en: {{PLURAL:$1|The {{GENDER:$2|user}} has|$1 users have}} been deleted.

And for Bs-usermanager-user-deleted/qqq:

Text for the user has been deleted. Parameters:
* $1 - Number of users that have been deleted.
* $2 - The gender of user if $1 has only one user
Amire80 moved this task from Untriaged to Gender on the I18n board.Feb 4 2018, 10:33 AM

Change 457495 had a related patch set uploaded (by Pwirth; owner: Pwirth):
[mediawiki/extensions/BlueSpiceUserManager@master] Add gender support for msg key bs-usermanager-user-deleted. T154170

https://gerrit.wikimedia.org/r/457495

Change 457495 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceUserManager@master] Add gender support for msg key bs-usermanager-user-deleted. T154170

https://gerrit.wikimedia.org/r/457495

Pwirth closed this task as Resolved.Sep 5 2018, 6:42 AM
Pwirth claimed this task.